// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - April 20, 2012
// Supported Devices: DT-X7, DT-X8, DT-X30CE
//
// Remarks: You need latest patches and runtime libraries installed
// onto your mobile device.
//
//////////////////////////////////////////////////////////////////////

// This sample application deletes user defined keys for the function
// keys F1 to F8.

#include "stdafx.h"
#include "SystemLib.h"

#define KEYID_FIRST KEYID_F1
#define KEYID_LAST	KEYID_F8

void DeleteUserDefineKeys(WORD wKeyMode);

int _tmain(int argc, _TCHAR* argv[])
{
	DeleteUserDefineKeys(KEY_MODE_NUM);
	DeleteUserDefineKeys(KEY_MODE_ALPHA);
	DeleteUserDefineKeys(KEY_MODE_ALPHAS);
	SysSetUserDefineKeyState(FALSE);

	return 0;
}

void DeleteUserDefineKeys(WORD wKeyMode)
{
	for(DWORD dwKeyID = KEYID_FIRST; dwKeyID <= KEYID_LAST; dwKeyID++)
	{
		SysDeleteUserDefineKeyEx(wKeyMode, dwKeyID);
	}
}

